      IMPLICIT REAL*8 (A-H,O-Z)

      DIMENSION SD(15), SF(3), SA(3)

	RJUD = 12000
	DAFR = 18*3600

      OPEN(UNIT=9,FILE='sf_test_out.dat', STATUS='NEW')

	WRITE(6,1000) RJUD, DAFR
	WRITE(9,1000) RJUD, DAFR

	CALL SFLUXD(RJUD, SD, OUTR)
      IF(OUTR.NE.0.) THEN
         WRITE(6,*) ' ERROR IN ROUTINE SFDJ70: OUTR = ',
     1         INT(OUTR)
         STOP
      ENDIF

	WRITE(6,1010) (SD(I), I=1,15)
	WRITE(9,1010) (SD(I), I=1,15)

      CALL SFDJ70(RJUD, DAFR, SF, OUTR)

	WRITE(6,1020) RJUD, DAFR, (SF(I), I=1,3)
	WRITE(9,1020) RJUD, DAFR, (SF(I), I=1,3)

	GSTI = GST (RJUD, DAFR)

	SA(1) = 0.0;
	SA(2) = 0.52359877

      CALL SFDJ77(RJUD, DAFR, SA, GSTI, SF, OUTR)

	WRITE(6,1030) RJUD, DAFR, SA(1), SA(2), GSTI, (SF(I), I=1,3)
	WRITE(9,1030) RJUD, DAFR, SA(1), SA(2), GSTI, (SF(I), I=1,3)

	CLOSE(UNIT=9)

 1000 FORMAT(1X, 54(1H*), /, 
     1 "       Solar Flux and Geomagnetic Index Data File", /,
     2 1X, 54(1H*), //,
	3 " Input data: ", /, 
     4 "     Modified Julian Date:....................", F9.0, /,
	5 "     Day time (seconds):......................", F9.3, /)

 1010 FORMAT(" Output data:", /,
     1"     Modified Julian date (referred to 1950.0:", F9.1, /,
     2"     Geomagnetic index Kp at 00-03 hours UTC:.", F9.1, /,
     3"     Geomagnetic index Kp at 03-06 hours UTC:.", F9.1, /,
     4"     Geomagnetic index Kp at 06-09 hours UTC:.", F9.1, /,
     5"     Geomagnetic index Kp at 09-12 hours UTC:.", F9.1, /,
     6"     Geomagnetic index Kp at 12-15 hours UTC:.", F9.1, /,
     7"     Geomagnetic index Kp at 15-18 hours UTC:.", F9.1, /,
     8"     Geomagnetic index Kp at 18-21 hours UTC:.", F9.1, /,
     9"     Geomagnetic index Kp at 21-24 hours UTC:.", F9.1, /,
     1"     Daily sum of Geomagnetic index Kp:.......", F9.1, /,
	2"     Daily equivalent planetary amplitude Ap:.", F9.1, /,
	3"     Observed solar flux F10.7 at the day:....", F9.1, /,
	4"     Adjusted solar flux to 1 AU at the day:..", F9.1, /,
	5"     Averaged observed solar flux Jacchia 77:.", F9.1, /,
	6"     Averaged observed solar flux 420 days:...", F9.1, //)

 1020 FORMAT(" Solar Flux File - Jacchia 70 model:", /,
	1" Input data: ", /, 
     2"     Modified Julian Date:....................", F9.0, /,
	3"     Day time (seconds):......................", F9.3, /,
     4" Output data:", /,
	5"     Observed solar flux at 1.71 days earlier:", F9.1, /,
     6"     Averaged flux at 1.71 days earlier:......", F9.1, /,
     7"     Geomagnetic index Kp 0.279 days earlier:.", F9.1, //)
 
 1030 FORMAT(" Solar Flux File - Jacchia 77 model:", /,
	1" Input data: ", /, 
     2"     Modified Julian Date:....................", F9.0, /,
	3"     Day time (seconds):......................", F9.3, /,
	4"     Right ascension of the local point (rad):", F9.3, /,
	5"     Declination (geocentric latitude) (rad).:", F9.3, /,
	6"     Greenwich sideral time (rad) ...........:", F9.3, /,
     4" Output data:", /,
	1"     Observed solar flux at input day:........", F9.1, /,
     2"     Gaussian Averaged flux at input day:.....", F9.1, /,
     3"     Geomagnetic index according Jacchia 77:..", F9.1, //)
 
      END 
	
